SRT-MUX(1)

NAME
srt-mux - SRT subtitle processing tool

DESCRIPTION
usage: srt mux [-h] --input FILE [--output FILE] [--no-strict] [--debug]

    [--ignore-parsing-errors] [--encoding ENCODING] [--ms MILLISECONDS] [-w WIDTH] [-t] [--no-time-matching]

Merge multiple subtitles together into one.

  options:

-h, --help
    show this help message and exit

--input, -i FILE
    the files to process

--output, -o FILE
    the file to write to (default: stdout)

--no-strict
    allow blank lines in output, your media player may explode

--debug
    enable debug logging

--ignore-parsing-errors, -c
    try to keep going, even if there are parsing errors

--encoding, -e ENCODING
    the encoding to read/write files in (default: utf8)

--ms MILLISECONDS
    if subs being muxed are within this number of milliseconds of each other, they will have their times matched (default: 600)

-w, --width WIDTH
    how many subs to consider for time matching at once (default: 5)

-t, --top-and-bottom
    use SSA-style tags to place files at the top and bottom, respectively. Turns off time matching

--no-time-matching
    don't try to do time matching for close subtitles (see --ms)

  examples:

    Merge English and Chinese subtitles

    $ srt mux -i eng.srt -i chs.srt -o both.srt

    Merge subtitles, with one on top and one at the bottom

    $ srt mux -t -i eng.srt -i chs.srt -o both.srt